aboutsummaryrefslogtreecommitdiffstats
path: root/util/add_addon_repo
diff options
context:
space:
mode:
authorfriendica <info@friendica.com>2015-04-23 19:49:41 -0700
committerfriendica <info@friendica.com>2015-04-23 19:49:41 -0700
commit6679734135fb04f4a7beccb81663bf1e9574f062 (patch)
tree887488543d98b5dd297d917718bdd99844e83ba5 /util/add_addon_repo
parent08b757a22cd2804bfec8ecf682b6987b8c06ca49 (diff)
parentc696860cc53bc25558d83de5eda65d9b583da382 (diff)
downloadvolse-hubzilla-6679734135fb04f4a7beccb81663bf1e9574f062.tar.gz
volse-hubzilla-6679734135fb04f4a7beccb81663bf1e9574f062.tar.bz2
volse-hubzilla-6679734135fb04f4a7beccb81663bf1e9574f062.zip
Merge branch 'master' into tres
Conflicts: include/Contact.php include/ItemObject.php include/api.php include/attach.php include/diaspora.php include/dir_fns.php include/enotify.php include/event.php include/expire.php include/items.php include/notifier.php include/notify.php include/photos.php include/taxonomy.php include/text.php include/widgets.php include/zot.php mod/admin.php mod/channel.php mod/dirsearch.php mod/display.php mod/editwebpage.php mod/events.php mod/home.php mod/item.php mod/manage.php mod/mood.php mod/network.php mod/page.php mod/photos.php mod/ping.php mod/post.php mod/thing.php mod/viewsrc.php view/css/mod_events.css
Diffstat (limited to 'util/add_addon_repo')
-rwxr-xr-xutil/add_addon_repo39
1 files changed, 39 insertions, 0 deletions
diff --git a/util/add_addon_repo b/util/add_addon_repo
new file mode 100755
index 000000000..4979c06bc
--- /dev/null
+++ b/util/add_addon_repo
@@ -0,0 +1,39 @@
+#!/bin/sh -f
+
+if [ $# -ne 2 ]; then
+ echo usage: $0 repo_url nickname
+ exit 1
+fi
+
+mkdir -p extend/addon/$2
+mkdir addon > /dev/null 2>&1
+git clone $1 extend/addon/$2
+if [ $? -ne 0 ]; then
+ exit $?
+fi
+
+filelist=(`ls extend/addon/$2`)
+
+
+cd addon
+for a in "${filelist[@]}" ; do
+ base=`basename $a`
+ if [ $base = '.git' ]; then
+# echo 'ignoring git'
+ continue;
+ fi
+ if [ ! -d ../extend/addon/$2/$base ]; then
+# echo $a 'not a directory'
+ continue;
+ fi
+ if [ -x $base ]; then
+# echo $base 'file exists'
+ continue;
+ fi
+
+ echo linking $base
+
+ ln -s ../extend/addon/$2/$base $base
+done
+
+